> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available DigitalOcean droplet sizes



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/digitalocean/sizes
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/sizes:
    get:
      tags:
        - DigitalOcean Cluster API
      summary: List available DigitalOcean droplet sizes
      operationId: list_digitalocean_sizes_endpoint_api_v1_clusters_digitalocean_sizes_get
      parameters:
        - description: DigitalOcean credential ID to use for API access
          in: query
          name: credential_id
          required: true
          schema:
            description: DigitalOcean credential ID to use for API access
            format: uuid
            title: Credential Id
            type: string
        - description: Filter availability by region
          in: query
          name: region
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter availability by region
            title: Region
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DigitaloceanSizeResponse'
                title: >-
                  Response List Digitalocean Sizes Endpoint Api V1 Clusters
                  Digitalocean Sizes Get
                type: array
          description: Sizes retrieved from DigitalOcean API with availability info
        '400':
          description: Availability check failed
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DigitaloceanSizeResponse:
      properties:
        available:
          title: Available
          type: boolean
        description:
          title: Description
          type: string
        disk:
          title: Disk
          type: integer
        memory:
          title: Memory
          type: integer
        price_monthly:
          title: Price Monthly
          type: number
        slug:
          title: Slug
          type: string
        vcpus:
          title: Vcpus
          type: integer
      required:
        - slug
        - description
        - vcpus
        - memory
        - disk
        - price_monthly
        - available
      title: DigitaloceanSizeResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````